/**
 * Usage:
 * import { loadGoogleCharts } from 'vue-google-charts'
 *
 * loadGoogleCharts('current', { packages: ['corechart', 'map'] })
 *  .then(google => {
 *    const chart = new google.visualization.Map ...
 *  })
 */
import type { GoogleViz, GoogleChartLoader, GoogleChartVersion, GoogleChartLoaderOptions } from '../types';
export declare function getChartsLoader(): Promise<GoogleChartLoader>;
/**
 * Function to load Google Charts JS API.
 * @param version - Chart version to load.
 * @param packages - Packages to load.
 * @param language - Languages to load.
 * @param mapsApiKey - Google Maps api key.
 * @returns
 */
export declare function loadGoogleCharts(version: GoogleChartVersion | undefined, { packages, language, mapsApiKey, }: GoogleChartLoaderOptions): Promise<GoogleViz | undefined>;
//# sourceMappingURL=google-charts-loader.d.ts.map